<?xml version='1.0' encoding='utf-8'?>
<component type="desktop">
    <id>org.telegram.desktop</id>
    <metadata_license>CC0-1.0</metadata_license>
    <project_license>GPL-3.0</project_license>
    <name>Telegram</name>
    <summary>New era of messaging</summary>
    <description>
        <p>Pure instant messaging — simple, fast, secure, and synced across all your devices. One of the world's top 10 most downloaded apps with over 500 million active users.</p>
        <p>FAST: Telegram is the fastest messaging app on the market, connecting people via a unique, distributed network of data centers around the globe.</p>
        <p>SYNCED: You can access your messages from all your phones, tablets and computers at once. Telegram apps are standalone, so you don’t need to keep your phone connected. Start typing on one device and finish the message from another. Never lose your data again.</p>
        <p>UNLIMITED: You can send media and files, without any limits on their type and size. Your entire chat history will require no disk space on your device, and will be securely stored in the Telegram cloud for as long as you need it.</p>
        <p>SECURE: We made it our mission to provide the best security combined with ease of use. Everything on Telegram, including chats, groups, media, etc. is encrypted using a combination of 256-bit symmetric AES encryption, 2048-bit RSA encryption, and Diffie–Hellman secure key exchange.</p>
        <p>100% FREE &amp; OPEN: Telegram has a fully documented and free API for developers, open source apps and verifiable builds to prove the app you download is built from the exact same source code that is published.</p>
        <p>POWERFUL: You can create group chats with up to 200,000 members, share large videos, documents of any type (.DOCX, .MP3, .ZIP, etc.) up to 2 GB each, and even set up bots for specific tasks. Telegram is the perfect tool for hosting online communities and coordinating teamwork.</p>
        <p>RELIABLE: Built to deliver your messages using as little data as possible, Telegram is the most reliable messaging system ever made. It works even on the weakest mobile connections.</p>
        <p>FUN: Telegram has powerful photo and video editing tools, animated stickers and emoji, fully customizable themes to change the appearance of your app, and an open sticker/GIF platform to cater to all your expressive needs.</p>
        <p>SIMPLE: While providing an unprecedented array of features, we take great care to keep the interface clean. Telegram is so simple you already know how to use it.</p>
        <p>PRIVATE: We take your privacy seriously and will never give any third parties access to your data. You can delete any message you ever sent or received for both sides, at any time and without a trace. Telegram will never use your data to show you ads.</p>
        <p>We keep expanding the boundaries of what you can do with a messaging app. Don’t wait years for older messengers to catch up with Telegram — join the revolution today.</p>
    </description>
    <categories>
        <category>Network</category>
        <category>InstantMessaging</category>
    </categories>
    <developer id="org.telegram"><name>Telegram FZ-LLC</name></developer>
    <url type="homepage">https://desktop.telegram.org/</url>
    <url type="faq">https://telegram.org/faq</url>
    <url type="bugtracker">https://github.com/telegramdesktop/tdesktop/issues</url>
    <url type="translate">https://translations.telegram.org/</url>
    <url type="vcs-browser">https://github.com/telegramdesktop/tdesktop</url>
    <url type="contribute">https://github.com/telegramdesktop/tdesktop/blob/dev/.github/CONTRIBUTING.md</url>
    <branding>
        <color type="primary" scheme_preference="light">#edf0f2</color>
        <color type="primary" scheme_preference="dark">#2d363f</color>
    </branding>
    <screenshots>
      <screenshot type="default">
        <image>https://raw.githubusercontent.com/telegramdesktop/tdesktop/dev/docs/assets/preview.png</image>
      </screenshot>
      <screenshot>
        <image>https://raw.githubusercontent.com/telegramdesktop/tdesktop/dev/docs/assets/slide.01.jpg</image>
        <caption>A lightning-fast native app that seamlessly syncs with your other devices</caption>
      </screenshot>
      <screenshot>
        <image>https://raw.githubusercontent.com/telegramdesktop/tdesktop/dev/docs/assets/slide.02.jpg</image>
        <caption>A fully autonomous Telegram app, no phone connection required</caption>
      </screenshot>
      <screenshot>
        <image>https://raw.githubusercontent.com/telegramdesktop/tdesktop/dev/docs/assets/slide.03.jpg</image>
        <caption>A quick way to view photos, videos and files</caption>
      </screenshot>
      <screenshot>
        <image>https://raw.githubusercontent.com/telegramdesktop/tdesktop/dev/docs/assets/slide.04.jpg</image>
        <caption>Send and store unlimited media and files of any type</caption>
      </screenshot>
    </screenshots>
    <keywords>
        <keyword>tg</keyword>
        <keyword>telegram</keyword>
        <keyword>tdesktop</keyword>
        <keyword>messaging</keyword>
        <keyword>messenger</keyword>
        <keyword>chat</keyword>
        <keyword>sms</keyword>
        <keyword>im</keyword>
    </keywords>
    <requires>
        
        <display_length compare="ge">480</display_length>
        <internet>always</internet>
        
        <control>keyboard</control>
    </requires>
    <supports>
        <control>pointing</control>
        <control>touch</control>
    </supports>
    <content_rating type="oars-1.1">
        <content_attribute id="violence-cartoon">none</content_attribute>
        <content_attribute id="violence-fantasy">none</content_attribute>
        <content_attribute id="violence-realistic">none</content_attribute>
        <content_attribute id="violence-bloodshed">none</content_attribute>
        <content_attribute id="violence-sexual">none</content_attribute>
        <content_attribute id="violence-desecration">none</content_attribute>
        <content_attribute id="violence-slavery">none</content_attribute>
        <content_attribute id="violence-worship">none</content_attribute>
        <content_attribute id="drugs-alcohol">none</content_attribute>
        <content_attribute id="drugs-narcotics">none</content_attribute>
        <content_attribute id="drugs-tobacco">none</content_attribute>
        <content_attribute id="sex-nudity">none</content_attribute>
        <content_attribute id="sex-themes">none</content_attribute>
        <content_attribute id="sex-homosexuality">none</content_attribute>
        <content_attribute id="sex-prostitution">none</content_attribute>
        <content_attribute id="sex-adultery">none</content_attribute>
        <content_attribute id="sex-appearance">none</content_attribute>
        <content_attribute id="language-profanity">none</content_attribute>
        <content_attribute id="language-humor">none</content_attribute>
        <content_attribute id="language-discrimination">none</content_attribute>
        <content_attribute id="social-chat">intense</content_attribute>
        <content_attribute id="social-info">none</content_attribute>
        <content_attribute id="social-audio">intense</content_attribute>
        <content_attribute id="social-location">none</content_attribute>
        <content_attribute id="social-contacts">intense</content_attribute>
        <content_attribute id="money-purchasing">intense</content_attribute>
        <content_attribute id="money-gambling">none</content_attribute>
        <content_attribute id="money-advertising">moderate</content_attribute>
    </content_rating>
    <launchable type="desktop-id">org.telegram.desktop.desktop</launchable>
    <provides>
        <binary>Telegram</binary>
        <dbus type="session">org.telegram.desktop</dbus>
        <mediatype>x-scheme-handler/tg</mediatype>
        <mediatype>x-scheme-handler/tonsite</mediatype>
    </provides>
<releases><release version="7.0.6" date="2026-07-27"><description><ul><li>Allow muting forever by left click on the profile mute button.</li><li>Improve tables, tasks and titles in rich message previews.</li><li>Fix adding admins in communities.</li><li>Crash fixes.</li></ul></description></release><release version="7.0.5" date="2026-07-23"><description><ul><li>Improve slideshow preload / animation / swipes in rich messages.</li><li>Fix stories leaving empty space on chats list top.</li><li>Fix custom emoji frame size in favorite reactions.</li><li>Crash fixes.</li></ul></description></release><release version="7.0.4" date="2026-07-20"><description><ul><li>Enable rich text editor for scheduled messages and quick replies.</li><li>Upload rich message photos in high quality.</li><li>Fix crash in some video files viewer.</li><li>Fix crash in shared files section.</li></ul></description></release><release version="7.0.3" date="2026-07-17"><description><ul><li>Fix media viewer freezes on macOS.</li></ul></description></release><release version="7.0.2" date="2026-07-17"><description><ul><li>Fix editing existing rich messages.</li><li>Fix editing scheduled rich messages.</li><li>Improve rich messages editor (drag-n-drop, changing tables).</li><li>Allow forwarding to chats hidden inside a community.</li></ul></description></release><release version="7.0.1" date="2026-07-14"><description><ul><li>Rich Text Editor.</li><li>Telegram Communities.</li><li>Invisible Bot Messages.</li></ul></description></release><release version="7.0" date="2026-07-11"><description><ul><li>Rich messages editor.</li><li>Ephemeral messages in groups.</li><li>Communities of chats.</li></ul></description></release><release version="6.9.4~beta" date="2026-07-02"><description><ul><li>Add rich message editor with media, tables and math formulas.</li><li>Show rich message drafts with full formatting in chat compose area.</li><li>Add text recognition with selection and copying to media viewer images.</li><li>Add swipe navigation and pinch zoom gestures to media viewer.</li><li>Support zoom and dragging files out in shared media photos.</li><li>Allow adapting existing stickers into custom emoji.</li><li>Add media viewer video playback to system media controls.</li><li>Add alphabetical fast-scroll index to contacts box.</li><li>Improve screen reader accessibility for chats list and folders.</li></ul></description></release><release version="6.9.3" date="2026-06-12"><description><ul><li>Fix possible crash in formula parsing.</li><li>Fix field resize after Undo/Redo.</li><li>Fix OpenGL in Windows build.</li></ul></description></release><release version="6.9.2" date="2026-06-10"><description><ul><li>Fix possible crash in OpenGL init (Linux).</li><li>Fix possible crash in calls (Windows on ARM).</li><li>Fix working with system proxy (Windows).</li><li>Fix display of rich messages without text.</li><li>Fix display of rich messages in Recent Actions.</li><li>Replace dispatch with TooManyCooks (Linux).</li></ul></description></release></releases></component>